Thread Rating:
  • 3 Vote(s) - 4.33 Average
  • 1
  • 2
  • 3
  • 4
  • 5
PlugIn Contact Form Getsimple
Hi ross104,

I have seen this. The are 2 problems:
1)  "Ms" => 'Кілька слів про осебе...',
this is better to put so, for example:
"Ms" => 'слів',
"Ms_ms" => 'Кілька слів про осебе...',

then you must modify the form in plugins>cbcontact>form/cbcontact.php. The part of message:

Code:
                        //Message   
                        $cbcontactform .= '<br />';
                        $cbcontactform .= '<textarea onblur="if (this.value == &quot;&quot;) {this.value = &quot;(*)'.i18n_r('cbcontact/Ms_ms').'&quot;}" onfocus="if(this.value == &quot;(*)'.i18n_r('cbcontact/Ms_ms').'&quot;) {this.value = &quot;&quot;}" name="contact['.i18n_r('cbcontact/Ms').']">';
                        if ($fields[i18n_r('cbcontact/Ms')] != "") {
                            $cbcontactform .= $fields[i18n_r('cbcontact/Ms')];
                        } else {
                            $cbcontactform .= '(*)'.i18n_r('cbcontact/Ms_ms');
                        }
                        $cbcontactform .= '</textarea>'."\n";


2) In plugins>cbcontact>checksubmit.php, you must substitue line +- 128:
                        $cdata = $thislog->addChild(clean_url($key));
by
                         $cdata = $thislog->addChild(($key));

Please you must test this...

Delete first the log that is in /data/other/logs/cbcontactform.log

Regards.
Reply
Thanx Cumbe!!! Works like a charm Smile
Reply
Hi,
Upload to extend new version of contact form (6.1).
I fixed a problem with class phpmailer.
Regards.
Reply
I have downloaded and installed Contact Form 6.1

In the install instructions is says:
Quote:folder PHPMailer_v5.1: is important that this folder is in /plugins

However, the current PHPMailer on github is 5.2.14 (https://github.com/PHPMailer/PHPMailer).
I've searched for version 5.1 but can find nowhere to download it.

Running grep on the Contact Form files shows that it apparently makes explicit reference to version 5.1 . So simply installing version 5.2.14 won't work.

PHPMailer_v5.1 isn't in the plugins repository, nor is it included in the Contact Form files.

What are my options?
Thank you.
Reply
Hi alanq.
Upload to extend version 6.1 with phpmailer folder.
I forgot to attach this folder.

Regards
Reply
Thank you, cumbe

Sorry for the delay in replying.
I was hoping to be able to say, "brilliant, works perfectly".
But unfortunately I still can't even create a page New page is 404 Not Found  Sad
Reply
I just wanted to mention, that I've copied the file en_US.php to de_DE.php and changed in cbcontact_cfg.php
PHP Code:
$LANG 'en_US'
to
PHP Code:
$LANG 'de_DE'

To make this work I had to move the include at around line 240 to after the global statements like so:
PHP Code:
global $EMAIL;
global 
$SITEURL;
global 
$SITENAME;
global 
$LANG;
global 
$PRETTYURLS;
global 
$i18n;
global 
$language;

// Read setting file with variables of contact form
include  (GSPLUGINPATH.'cbcontact/cbcontact_cfg.php'); 
Reply
Dear cumbe,

thank you very much for your GetSimple-CMS plugin called "Contact Form". Going by its features it would be almost perfect for my purposes. The only fly in the ointment is that I have no clear notion where to put in the details of my smtp provider when I want to utilize PHPmailer.

Say, my smtp provider is called Y-Mail (to be reached via (smtp://securesmtp.y-mail.com) and my password with Y-Mail is Y-password. They are using port yyy and authentication is needed. The connection security is to be SSL/TLS.

Where and and how-phrased do I have to insert these data into your plugin "Contact Form"?

And then how can I invoke your plugin with these settings in a page? (The exact string containing my dummy details from above would be best ...)

Yes, I admit that these questions are very basic, but then I'm new to GetSimple CMS (having been attracted by its name).

So if anyone would be as kind as to answer my plea, I would be very grateful.

Best regards!
Reply
If your site is set up for multiple levels of parents, such as domain.com/parent1/parent2/slug, which is accomplished by installing the I18N plugin and setting your site's custom permalink structure to begin with %parents% (with an S) instead of %parent%, then this Contact plugin incorrectly breaks. It outputs the form action attribute as literally "%parents%/contact".

This can be fixed by changing line 256 in cbcontact_form.php
from:
$idpret = find_url($fich,'');
to:
$idpret = (function_exists('find_i18n_url') ? find_i18n_url($fich,'') : find_url($fich,''));

Cumbe, maybe you could put this fix in the next update?
Reply
Hi cumbe,

thank you for this plugin. Great job. But I noticed one thing about email field. When user fill form it checks only if this field is empty or not. It does not check if email is valid. Can you add such functionality?
Reply
Does the phpmailer critical vulnerability effect the contact form? If so, please fix it asap!

https://www.wordfence.com/blog/2016/12/p...erability/

greets, orthodox
Reply
Hi orthodox,
I will fix this vulnerability.

Hi roisag,
I thought about it at the time, but I did not consider it necessary, I'll check it again.

Hi jlyon1515
I'll fix it in next update.

Regards
Reply
I had to make the following change to get the contact form working.
I basically commented out a section of code in cbcontact_form.php:

Code:
    $idpret = find_url($fich,'');
// EDIT [RAG]
//    if ($PRETTYURLS !='') {
//        $idpret = $idpret.'?';
//    }

My site has a lot of enforcement around canonical URLs, including rewrites in htaccess, so it's possible something specific to my configuration broke the form. Symptom was simply that the submit form wouldn't work and the page would just reload.
GetSimple version 3.3.13
Contact Form version 6.1
Fancy URLs enabled
Custom page slug
Canonical Redirects (GSCANONICAL) enabled
Additional rewrites in htaccess
Reply
(2016-12-29, 02:00:14)cumbe Wrote: Hi orthodox,
I will fix this vulnerability.

[...]

Regards

Hi cumbe,

did you fix it already? I can not find a newer version of Contact Form!

Regards,
orthodox
Reply
Hi orthodox
I have not any time in these moments.

Regards.
Reply
Sorry maybe my question has been answered before.
Can plugin holds more than one form (contact form page, quote form page, billing form page)?
Perhaps one form with one template, but how do I implement them?
sorry my php skills are less good. thanks.
Reply
(2017-03-14, 22:40:21)cumbe Wrote: Hi orthodox
I have not any time in these moments.

Regards.

uff. thats not good news. because its a very critical bug as mentioned above. can you (or somebody else) recommend a secure contact form plugin???
Reply
(2017-03-15, 04:27:34)orthodox Wrote: can you (or somebody else) recommend a secure contact form plugin?

Not a plugin, but easy to use with GS and up to date:
Mike Challis's Fast Secure Contact Form.

You need to add code to the header of your Contact Form page. With Dynpages plugin, the form code can go in a component.
--
Nick.
Reply
(2017-03-15, 04:27:34)orthodox Wrote: can you (or somebody else) recommend a secure contact form plugin???


Again not a plugin but I am using formspree https://formspree.io/
Haven't used it long but it looks like total simplicity so far.
Reply
(2017-03-15, 04:27:34)orthodox Wrote:
(2017-03-14, 22:40:21)cumbe Wrote: Hi orthodox
I have not any time in these moments.

uff. thats not good news. because its a very critical bug as mentioned above. can you (or somebody else) recommend a secure contact form plugin???

Orthodox, you are only vulnerable to this specific PHPmailer issue if you have configured this plugin to use PHPmailer. By default, that is NOT used. To check if you are using PHPmailer, just go to your /plugins/cbcontact folder and look in the cbcontact_cfg.php file. I have a setting there that says "$cbfsendphpmail = false;" If that is set to false (like default) then the script does not use PHPmailer, instead it uses the built in mail() function. At least that's how this looks to me from a quick, glance at the code.
Reply
(2017-03-18, 01:45:40)jlyon1515 Wrote:
(2017-03-15, 04:27:34)orthodox Wrote:
(2017-03-14, 22:40:21)cumbe Wrote: Hi orthodox
I have not any time in these moments.

uff. thats not good news. because its a very critical bug as mentioned above. can you (or somebody else) recommend a secure contact form plugin???

Orthodox, you are only vulnerable to this specific PHPmailer issue if you have configured this plugin to use PHPmailer. By default, that is NOT used. To check if you are using PHPmailer, just go to your /plugins/cbcontact folder and look in the cbcontact_cfg.php file. I have a setting there that says "$cbfsendphpmail = false;" If that is set to false (like default) then the script does not use PHPmailer, instead it uses the built in mail() function. At least that's how this looks to me from a quick, glance at the code.

@jlyon: thank for this information.
Reply
Hi together,

has anyone translated the language file into german?

Peter
Reply
@orthodox as the vulnerability is in PHPMailer, it should be enough to replace it's files with newer version, so no plugin update is needed (if I understand it right)
Reply
Hallo


Code:
Parse error: syntax error, unexpected '[' in /home/web30/html/gscms/plugins/p01-contact/src/P01contact.php on line 131


Mit freundlichen Gruessen
Ulrich Herrmann
Reply




Users browsing this thread: 1 Guest(s)
Free HDTV Channels Residential Solar Panels